#![allow(dead_code)]

pub mod normal;
pub mod point;
pub mod transform;
pub mod transform_dual;
pub mod vector;
pub mod wide4;

pub use self::{
    normal::Normal, point::Point, transform::Transform, transform_dual::TransformDual,
    vector::Vector,
};

// /// Trait for calculating dot products.
// pub trait DotProduct {
//     fn dot(self, other: Self) -> f32;
// }

// #[inline]
// pub fn dot<T: DotProduct>(a: T, b: T) -> f32 {
//     a.dot(b)
// }

// /// Trait for calculating cross products.
// pub trait CrossProduct {
//     fn cross(self, other: Self) -> Self;
// }

// #[inline]
// pub fn cross<T: CrossProduct>(a: T, b: T) -> T {
//     a.cross(b)
// }
